Quick Requests | List view

The Quick Request List View end-point provides a list of Quick Requests associated with the requesting user.
A Quick Request is a 'draft' version of a Quote request, therefore this end-point is only available to shippers.

Request URI

GET https://pluto.cargobase.com/api/1/quickrequests/
Content-Type: application/json
Authorization: Token your_token_here

Status codes

StatusDescriptionResolution
200OK--
403Forbiddencheck Authentication token, or status of the request

Request Response definition

Results (Main message)

KeyValueDefinition
quick_request_referenceSTRINGCargobase Quick Request ID
quick_request_titleSTRINGTitle of the Request, as provided by the Shipper
statusSTRINGCurrent status of the quick request, see list for potential status below
pickup_citySTRINGThe city name for Shipment pickup
pickup_countrySTRINGThe country name for Shipment pickup
stop1_citySTRINGThe city name for the requested delivery location
stop1_countrySTRINGThe country name for the requested delivery location
related_shipmentSTRINGA reference to the actual quote request or shipment, in case the quick request has been converted

Request status options

StatusDefinition
PendingA new quick request, that has not been converted into a quote request.
ProcessingA quick request that has been converted into a quote request
ShippingA quick request that has lead to a booked shipment
ArchivedA quick request that has been delivered or is canceled

"Header"

KeyValueDefinition
previousSTRINGURL to the previous page, in case page number is higher than 1
record_endINTEGERNumber of the highest quick request on the page
countINTEGERTotal number of quick requests available to the user, across all pages
pageINTEGERPage number
record_startINTEGERNumber of the first quick request on the page
nextSTRINGURL to the previous page, in case page number is lower than the highest available

Pagination

The request list results are paginated with 10 results per page by default.
Results are displayed in descending order, that means that result 1 on page 1 is the newest addition.
To request a specific page append ?page=XX to the URI.
To request a specific number of items per page, append ?page_size=xx to the URI.

Results can also be filtered to only display results of the account calling the API, this is done by appending '=self'.

Example

Calling the API to show 25 results per page and viewing page 3 is

GET https://pluto.cargobase.com/api/1/quickrequests/?page_size=25&page=3
Content-Type: application/json
Authorization: Token your_token_here

Known issues

  • None at this moment!
Language
Credentials
http
Response
Click Try It! to start a request and see the response here!